Debian Bug report logs - #589809
hivex FTBFS on buildds.

version graph

Package: hivex; Maintainer for hivex is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>;

Reported by: peter green <plugwash@p10link.net>

Date: Wed, 21 Jul 2010 09:48:01 UTC

Severity: serious

Found in version 1.2.2+git20100712-2

Fixed in version 1.2.6-3

Done: peter green <plugwash@p10link.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#589809; Package hivex. (Wed, 21 Jul 2010 09:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
New Bug report received and forwarded. Copy sent to Hilko Bengen <bengen@debian.org>. (Wed, 21 Jul 2010 09:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: submit@bugs.debian.org
Subject: hivex FTBFS everywhere except i386 and amd64
Date: Wed, 21 Jul 2010 10:41:04 +0100
Package: hivex
Version: 1.2.2+git20100712-2
Severity: important


According to https://buildd.debian.org/build.cgi?pkg=hivex&dist=unstable the autobuilders built hivex successfully on i386 and have tried and failed to build it on all architectures except i386 and amd64 (they did not build it on amd64 since you uploaded an amd64 binary).


Different architectures failed in different ways.


alpha, armel, hppa, ia64, mips, mipsel, s390, :
Making all in ocaml
make[4]: Entering directory `/build/buildd-hivex_1.2.2+git20100712-2-alpha-Lfj9P3/hivex-1.2.2+git20100712/ocaml'
gcc -std=gnu99 -I.. -I/usr/lib/ocaml -I../ocaml -I../lib   -g -O2 -fPIC -Wall -c hivex_c.c
hivex_c.c:52: error: static declaration of 'caml_raise_with_args' follows non-static declaration
/usr/lib/ocaml/caml/fail.h:30: note: previous declaration of 'caml_raise_with_args' was here
make[4]: *** [hivex_c.o] Error 1

hurd-i386, kfreebsd-amd64, kfreebsd-i386:
make[5]: Entering directory `/build/buildd-hivex_1.2.2+git20100712-2-hurd-i386-QRDg6f/hivex-1.2.2+git20100712/lib'
 CC     libhivex_la-hivex.lo
/bin/bash ../libtool --silent --tag=CC   --mode=compile gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../gnulib/lib    -g -O2 -c -o libhivex_la-hivex.lo `test -f 'hivex.c' || echo './'`hivex.c
hivex.c: In function 'hivex_root':
hivex.c:558: error: 'ENOKEY' undeclared (first use in this function)
hivex.c:558: error: (Each undeclared identifier is reported only once
hivex.c:558: error: for each function it appears in.)
make[5]: *** [libhivex_la-hivex.lo] Error 1

powerpc, sparc: 
make  check-TESTS
make[3]: Entering directory `/build/buildd-hivex_1.2.2+git20100712-2-powerpc-0hLpXj/hivex-1.2.2+git20100712/ocaml'
PASS: t/hivex_005_load
PASS: t/hivex_010_open
PASS: t/hivex_020_root
01 non-existent file
02 closed handle
03 write to read-only file
04 node_get_child node not found
PASS: t/hivex_100_errors
PASS: t/hivex_110_gc_handle
PASS: t/hivex_200_write
Fatal error: exception Hivex.Error("node_values", 9, "Bad address")
FAIL: t/hivex_300_fold
make[3]: *** [check-TESTS] Error 1
make[2]: *** [check-am] Error 2
===================
1 of 7 tests failed
===================
make[3]: Leaving directory `/build/buildd-hivex_1.2.2+git20100712-2-powerpc-0hLpXj/hivex-1.2.2+git20100712/ocaml'
make[2]: Leaving directory `/build/buildd-hivex_1.2.2+git20100712-2-powerpc-0hLpXj/hivex-1.2.2+git20100712/ocaml'
make[1]: *** [check-recursive] Error 1



Filed as important since the package has never built on those architectures before but it is strongly preffered by debian that packages are buildable on all release architectures unless there is a very good reason they can't be.





Severity set to 'serious' from 'important' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 23:32:17 GMT) Full text and rfc822 format available.

Reply sent to Hilko Bengen <bengen@debian.org>:
You have taken responsibility. (Thu, 12 May 2011 21:36:05 GMT) Full text and rfc822 format available.

Notification sent to peter green <plugwash@p10link.net>:
Bug acknowledged by developer. (Thu, 12 May 2011 21:36:06 GMT) Full text and rfc822 format available.

Message #12 received at 589809-close@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: 589809-close@bugs.debian.org
Subject: Bug#589809: fixed in hivex 1.2.6-1
Date: Thu, 12 May 2011 21:32:51 +0000
Source: hivex
Source-Version: 1.2.6-1

We believe that the bug you reported is fixed in the latest version of
hivex, which is due to be installed in the Debian FTP archive:

hivex_1.2.6-1.diff.gz
  to main/h/hivex/hivex_1.2.6-1.diff.gz
hivex_1.2.6-1.dsc
  to main/h/hivex/hivex_1.2.6-1.dsc
hivex_1.2.6.orig.tar.gz
  to main/h/hivex/hivex_1.2.6.orig.tar.gz
libhivex-bin_1.2.6-1_amd64.deb
  to main/h/hivex/libhivex-bin_1.2.6-1_amd64.deb
libhivex-dev_1.2.6-1_amd64.deb
  to main/h/hivex/libhivex-dev_1.2.6-1_amd64.deb
libhivex-ocaml-dev_1.2.6-1_amd64.deb
  to main/h/hivex/libhivex-ocaml-dev_1.2.6-1_amd64.deb
libhivex-ocaml_1.2.6-1_amd64.deb
  to main/h/hivex/libhivex-ocaml_1.2.6-1_amd64.deb
libhivex0-dbg_1.2.6-1_amd64.deb
  to main/h/hivex/libhivex0-dbg_1.2.6-1_amd64.deb
libhivex0_1.2.6-1_amd64.deb
  to main/h/hivex/libhivex0_1.2.6-1_amd64.deb
libwin-hivex-perl_1.2.6-1_amd64.deb
  to main/h/hivex/libwin-hivex-perl_1.2.6-1_amd64.deb
python-hivex_1.2.6-1_amd64.deb
  to main/h/hivex/python-hivex_1.2.6-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589809@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hilko Bengen <bengen@debian.org> (supplier of updated hivex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 12 May 2011 22:54:29 +0200
Source: hivex
Binary: libhivex0 libhivex-dev libhivex0-dbg libhivex-bin libwin-hivex-perl libhivex-ocaml libhivex-ocaml-dev python-hivex
Architecture: source amd64
Version: 1.2.6-1
Distribution: unstable
Urgency: low
Maintainer: Hilko Bengen <bengen@debian.org>
Changed-By: Hilko Bengen <bengen@debian.org>
Description: 
 libhivex-bin - utilities for reading and writing Windows Registry hives
 libhivex-dev - library for reading and writing Windows Registry hives
 libhivex-ocaml - OCaml bindings for hivex -- runtime files
 libhivex-ocaml-dev - OCaml bindings for hivex -- developtment files
 libhivex0  - library for reading and writing Windows Registry hives
 libhivex0-dbg - library for reading and writing Windows Registry hives
 libwin-hivex-perl - Perl bindings to hivex
 python-hivex - Python bindings for hivex
Closes: 589809 602443 621653
Changes: 
 hivex (1.2.6-1) unstable; urgency=low
 .
   * New upstream version
   * Python bindings
   * Switched source format to 1.0.
   * Provided patches to upstream that allow building on big-endian
     architectures and on arhitectures where no native OCaml compilers are
     available. (Closes: #589809)
   * No longer include .la files in libhivex-dev. (Closes: #621653)
   * Made libhivex conflict against old unofficial libguestfs package
     (Closes: #602443)
Checksums-Sha1: 
 53a0654d318035ca6abc9c070b4323e8f8c76911 1253 hivex_1.2.6-1.dsc
 859da9891000746e2d845c22ed135c0d2df94bc4 1025096 hivex_1.2.6.orig.tar.gz
 dfa6178ecf70eac41937813a995c9787f661dc46 3711 hivex_1.2.6-1.diff.gz
 50f5ed19859df4466e8e515c1c83121faa7ecdf9 39390 libhivex0_1.2.6-1_amd64.deb
 89527fb87a873e3281edf4177ec4cbc9ecac3666 53820 libhivex-dev_1.2.6-1_amd64.deb
 1e5c7402005375b0029124452d285746b6bcb028 134030 libhivex0-dbg_1.2.6-1_amd64.deb
 302a997b95f7dd9ce280e2415be77fcfbf7a088f 53636 libhivex-bin_1.2.6-1_amd64.deb
 a233aa934d0cf63330b7202a3a9c8a4f4d2a1530 53926 libwin-hivex-perl_1.2.6-1_amd64.deb
 53ae1c6b12b18f89e3fd54606132364707e5d29f 19356 libhivex-ocaml_1.2.6-1_amd64.deb
 f397cbe507900ce9d1960255fffe875cc0212f7c 25664 libhivex-ocaml-dev_1.2.6-1_amd64.deb
 50d4108c2d05991509252089c0191a7220824876 20916 python-hivex_1.2.6-1_amd64.deb
Checksums-Sha256: 
 14d3ed96e4262e21ef5fe3eedf308021b593055677dcf5a2594bbb76747e486c 1253 hivex_1.2.6-1.dsc
 69ad3da276c136f9a1a30db5744c4d563ff3f1ebf504a2e36e9a38f2d6d7f75d 1025096 hivex_1.2.6.orig.tar.gz
 c6b57db470a0221272cf0a6f8ba0874c8a1ef3ff24436bfb880d1bbeb69c592d 3711 hivex_1.2.6-1.diff.gz
 047abef0b2e762ee8db18ef1e95d1f20bd4105a008a76c43825aa794d900fa5d 39390 libhivex0_1.2.6-1_amd64.deb
 c1d518250f50d77d93393a016400cb063223fc83cacb30286299def096f81ab7 53820 libhivex-dev_1.2.6-1_amd64.deb
 fdf2322bc73cd45b8df4a26458ac6290f4471b9c62df8c4ee9a3f10805b98ed6 134030 libhivex0-dbg_1.2.6-1_amd64.deb
 32b95b7bee1f2320fd0447d631775012926e1329bd279a1c7b2b5d05c23e3308 53636 libhivex-bin_1.2.6-1_amd64.deb
 ca1835340d74d878b551b034ff430b2ce3c624ef505fa5d905e45150947a54b5 53926 libwin-hivex-perl_1.2.6-1_amd64.deb
 d9228ef718d9d81c6196e7cea67e9d2fc88b1938ff5cdedd80f653fa5eb47387 19356 libhivex-ocaml_1.2.6-1_amd64.deb
 841c12bbaca59951a629db8b9e2115175fc04cb529ed7fa4fcd184a44bedaf5f 25664 libhivex-ocaml-dev_1.2.6-1_amd64.deb
 5530bf226e41e4502721a5e02a373740ffa4bffe1760cf35279b3f7d165c72ef 20916 python-hivex_1.2.6-1_amd64.deb
Files: 
 f0e813ae7e315eb682db8030639ee5d2 1253 libs extra hivex_1.2.6-1.dsc
 6eba5c9f119a592562e7bb1a96629e08 1025096 libs extra hivex_1.2.6.orig.tar.gz
 638bc94cd7ade873bc1bb112876b415c 3711 libs extra hivex_1.2.6-1.diff.gz
 067544f346752ee3cf62f1c2ca6e7f08 39390 libs extra libhivex0_1.2.6-1_amd64.deb
 fbf285b30316b9302f5bc8c7f763c2ef 53820 libdevel extra libhivex-dev_1.2.6-1_amd64.deb
 a4066660da81628d4091a12e6d91d18e 134030 debug extra libhivex0-dbg_1.2.6-1_amd64.deb
 6da9487d6622312dc4b55436a2523aa8 53636 otherosfs extra libhivex-bin_1.2.6-1_amd64.deb
 06c766ed7bdee13d66c1cf1e10ab9f4f 53926 perl extra libwin-hivex-perl_1.2.6-1_amd64.deb
 8aef012b2ffa82b887adb57b70493af2 19356 ocaml extra libhivex-ocaml_1.2.6-1_amd64.deb
 1c2e8b9b2548cb4a72d913f74acf3932 25664 ocaml extra libhivex-ocaml-dev_1.2.6-1_amd64.deb
 12a2fd6230958e35b62f935ba9e60f13 20916 python extra python-hivex_1.2.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3MSpEACgkQUCgnLz/SlGgrWACfReTcJVmSsTD1g98y5LDK30+Z
isEAoJneQadNcAN/1un+NS6Ka+EapEwV
=MM8n
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#589809; Package hivex. (Thu, 12 May 2011 23:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Hilko Bengen <bengen@debian.org>. (Thu, 12 May 2011 23:30:07 GMT) Full text and rfc822 format available.

Message #17 received at 589809@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 589809@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#589809 closed by Hilko Bengen <bengen@debian.org> (Bug#589809: fixed in hivex 1.2.6-1)
Date: Fri, 13 May 2011 00:22:21 +0100
reopen 589809
retitle 589809 hivex FTBFS on buildds.
severity 589809 serious
thanks

Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the hivex package:
>
> #589809: hivex FTBFS everywhere except i386 and amd64
>   
This time the results seem even worse, no buildd has been succesfull at 
building 1.2.6-1 so far not even the i386 one.

Once again the errors vary by architecture

i386/ppc/sparc: mv: cannot stat 
`/build/buildd-hivex_1.2.6-1-i386-qSrPum/hivex-1.2.6/debian/libhivex0-dbg/usr/lib/debug/usr/lib/pyshared': 
No such file or directory
ia64/*mipsel*: ocamlfind: *.cmxa: No such file or directory
*kfreebsd (both i386 and amd64): *hivex.c:562:13: error: 'ENOKEY' 
undeclared (first use in this function)

the amd64 packages were included in the upload
at the time of writing armel, hurd-i386, mips and s390 were still 
waiting for time on the buildd.

> It has been closed by Hilko Bengen <bengen@debian.org>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Hilko Bengen <bengen@debian.org> by
> replying to this email.
>
>
>   
>
> ------------------------------------------------------------------------
>
> Subject:
> Bug#589809: fixed in hivex 1.2.6-1
> From:
> Hilko Bengen <bengen@debian.org>
> Date:
> Thu, 12 May 2011 21:32:51 +0000
> To:
> 589809-close@bugs.debian.org
>
> To:
> 589809-close@bugs.debian.org
>
>
> Source: hivex
> Source-Version: 1.2.6-1
>
> We believe that the bug you reported is fixed in the latest version of
> hivex, which is due to be installed in the Debian FTP archive:
>
> hivex_1.2.6-1.diff.gz
>   to main/h/hivex/hivex_1.2.6-1.diff.gz
> hivex_1.2.6-1.dsc
>   to main/h/hivex/hivex_1.2.6-1.dsc
> hivex_1.2.6.orig.tar.gz
>   to main/h/hivex/hivex_1.2.6.orig.tar.gz
> libhivex-bin_1.2.6-1_amd64.deb
>   to main/h/hivex/libhivex-bin_1.2.6-1_amd64.deb
> libhivex-dev_1.2.6-1_amd64.deb
>   to main/h/hivex/libhivex-dev_1.2.6-1_amd64.deb
> libhivex-ocaml-dev_1.2.6-1_amd64.deb
>   to main/h/hivex/libhivex-ocaml-dev_1.2.6-1_amd64.deb
> libhivex-ocaml_1.2.6-1_amd64.deb
>   to main/h/hivex/libhivex-ocaml_1.2.6-1_amd64.deb
> libhivex0-dbg_1.2.6-1_amd64.deb
>   to main/h/hivex/libhivex0-dbg_1.2.6-1_amd64.deb
> libhivex0_1.2.6-1_amd64.deb
>   to main/h/hivex/libhivex0_1.2.6-1_amd64.deb
> libwin-hivex-perl_1.2.6-1_amd64.deb
>   to main/h/hivex/libwin-hivex-perl_1.2.6-1_amd64.deb
> python-hivex_1.2.6-1_amd64.deb
>   to main/h/hivex/python-hivex_1.2.6-1_amd64.deb
>
>
>
> A summary of the changes between this version and the previous one is
> attached.
>
> Thank you for reporting the bug, which will now be closed.  If you
> have further comments please address them to 589809@bugs.debian.org,
> and the maintainer will reopen the bug report if appropriate.
>
> Debian distribution maintenance software
> pp.
> Hilko Bengen <bengen@debian.org> (supplier of updated hivex package)
>
> (This message was generated automatically at their request; if you
> believe that there is a problem with it please contact the archive
> administrators by mailing ftpmaster@debian.org)
>
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Format: 1.8
> Date: Thu, 12 May 2011 22:54:29 +0200
> Source: hivex
> Binary: libhivex0 libhivex-dev libhivex0-dbg libhivex-bin libwin-hivex-perl libhivex-ocaml libhivex-ocaml-dev python-hivex
> Architecture: source amd64
> Version: 1.2.6-1
> Distribution: unstable
> Urgency: low
> Maintainer: Hilko Bengen <bengen@debian.org>
> Changed-By: Hilko Bengen <bengen@debian.org>
> Description: 
>  libhivex-bin - utilities for reading and writing Windows Registry hives
>  libhivex-dev - library for reading and writing Windows Registry hives
>  libhivex-ocaml - OCaml bindings for hivex -- runtime files
>  libhivex-ocaml-dev - OCaml bindings for hivex -- developtment files
>  libhivex0  - library for reading and writing Windows Registry hives
>  libhivex0-dbg - library for reading and writing Windows Registry hives
>  libwin-hivex-perl - Perl bindings to hivex
>  python-hivex - Python bindings for hivex
> Closes: 589809 602443 621653
> Changes: 
>  hivex (1.2.6-1) unstable; urgency=low
>  .
>    * New upstream version
>    * Python bindings
>    * Switched source format to 1.0.
>    * Provided patches to upstream that allow building on big-endian
>      architectures and on arhitectures where no native OCaml compilers are
>      available. (Closes: #589809)
>    * No longer include .la files in libhivex-dev. (Closes: #621653)
>    * Made libhivex conflict against old unofficial libguestfs package
>      (Closes: #602443)
> Checksums-Sha1: 
>  53a0654d318035ca6abc9c070b4323e8f8c76911 1253 hivex_1.2.6-1.dsc
>  859da9891000746e2d845c22ed135c0d2df94bc4 1025096 hivex_1.2.6.orig.tar.gz
>  dfa6178ecf70eac41937813a995c9787f661dc46 3711 hivex_1.2.6-1.diff.gz
>  50f5ed19859df4466e8e515c1c83121faa7ecdf9 39390 libhivex0_1.2.6-1_amd64.deb
>  89527fb87a873e3281edf4177ec4cbc9ecac3666 53820 libhivex-dev_1.2.6-1_amd64.deb
>  1e5c7402005375b0029124452d285746b6bcb028 134030 libhivex0-dbg_1.2.6-1_amd64.deb
>  302a997b95f7dd9ce280e2415be77fcfbf7a088f 53636 libhivex-bin_1.2.6-1_amd64.deb
>  a233aa934d0cf63330b7202a3a9c8a4f4d2a1530 53926 libwin-hivex-perl_1.2.6-1_amd64.deb
>  53ae1c6b12b18f89e3fd54606132364707e5d29f 19356 libhivex-ocaml_1.2.6-1_amd64.deb
>  f397cbe507900ce9d1960255fffe875cc0212f7c 25664 libhivex-ocaml-dev_1.2.6-1_amd64.deb
>  50d4108c2d05991509252089c0191a7220824876 20916 python-hivex_1.2.6-1_amd64.deb
> Checksums-Sha256: 
>  14d3ed96e4262e21ef5fe3eedf308021b593055677dcf5a2594bbb76747e486c 1253 hivex_1.2.6-1.dsc
>  69ad3da276c136f9a1a30db5744c4d563ff3f1ebf504a2e36e9a38f2d6d7f75d 1025096 hivex_1.2.6.orig.tar.gz
>  c6b57db470a0221272cf0a6f8ba0874c8a1ef3ff24436bfb880d1bbeb69c592d 3711 hivex_1.2.6-1.diff.gz
>  047abef0b2e762ee8db18ef1e95d1f20bd4105a008a76c43825aa794d900fa5d 39390 libhivex0_1.2.6-1_amd64.deb
>  c1d518250f50d77d93393a016400cb063223fc83cacb30286299def096f81ab7 53820 libhivex-dev_1.2.6-1_amd64.deb
>  fdf2322bc73cd45b8df4a26458ac6290f4471b9c62df8c4ee9a3f10805b98ed6 134030 libhivex0-dbg_1.2.6-1_amd64.deb
>  32b95b7bee1f2320fd0447d631775012926e1329bd279a1c7b2b5d05c23e3308 53636 libhivex-bin_1.2.6-1_amd64.deb
>  ca1835340d74d878b551b034ff430b2ce3c624ef505fa5d905e45150947a54b5 53926 libwin-hivex-perl_1.2.6-1_amd64.deb
>  d9228ef718d9d81c6196e7cea67e9d2fc88b1938ff5cdedd80f653fa5eb47387 19356 libhivex-ocaml_1.2.6-1_amd64.deb
>  841c12bbaca59951a629db8b9e2115175fc04cb529ed7fa4fcd184a44bedaf5f 25664 libhivex-ocaml-dev_1.2.6-1_amd64.deb
>  5530bf226e41e4502721a5e02a373740ffa4bffe1760cf35279b3f7d165c72ef 20916 python-hivex_1.2.6-1_amd64.deb
> Files: 
>  f0e813ae7e315eb682db8030639ee5d2 1253 libs extra hivex_1.2.6-1.dsc
>  6eba5c9f119a592562e7bb1a96629e08 1025096 libs extra hivex_1.2.6.orig.tar.gz
>  638bc94cd7ade873bc1bb112876b415c 3711 libs extra hivex_1.2.6-1.diff.gz
>  067544f346752ee3cf62f1c2ca6e7f08 39390 libs extra libhivex0_1.2.6-1_amd64.deb
>  fbf285b30316b9302f5bc8c7f763c2ef 53820 libdevel extra libhivex-dev_1.2.6-1_amd64.deb
>  a4066660da81628d4091a12e6d91d18e 134030 debug extra libhivex0-dbg_1.2.6-1_amd64.deb
>  6da9487d6622312dc4b55436a2523aa8 53636 otherosfs extra libhivex-bin_1.2.6-1_amd64.deb
>  06c766ed7bdee13d66c1cf1e10ab9f4f 53926 perl extra libwin-hivex-perl_1.2.6-1_amd64.deb
>  8aef012b2ffa82b887adb57b70493af2 19356 ocaml extra libhivex-ocaml_1.2.6-1_amd64.deb
>  1c2e8b9b2548cb4a72d913f74acf3932 25664 ocaml extra libhivex-ocaml-dev_1.2.6-1_amd64.deb
>  12a2fd6230958e35b62f935ba9e60f13 20916 python extra python-hivex_1.2.6-1_amd64.deb
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
>
> iEYEARECAAYFAk3MSpEACgkQUCgnLz/SlGgrWACfReTcJVmSsTD1g98y5LDK30+Z
> isEAoJneQadNcAN/1un+NS6Ka+EapEwV
> =MM8n
> -----END PGP SIGNATURE-----
>
>
>   
>
> ------------------------------------------------------------------------
>
> Subject:
> hivex FTBFS everywhere except i386 and amd64
> From:
> peter green <plugwash@p10link.net>
> Date:
> Wed, 21 Jul 2010 10:41:04 +0100
> To:
> submit@bugs.debian.org
>
> To:
> submit@bugs.debian.org
>
>
> Package: hivex
> Version: 1.2.2+git20100712-2
> Severity: important
>
>
> According to 
> https://buildd.debian.org/build.cgi?pkg=hivex&dist=unstable the 
> autobuilders built hivex successfully on i386 and have tried and 
> failed to build it on all architectures except i386 and amd64 (they 
> did not build it on amd64 since you uploaded an amd64 binary).
>
>
> Different architectures failed in different ways.
>
>
> alpha, armel, hppa, ia64, mips, mipsel, s390, :
> Making all in ocaml
> make[4]: Entering directory 
> `/build/buildd-hivex_1.2.2+git20100712-2-alpha-Lfj9P3/hivex-1.2.2+git20100712/ocaml' 
>
> gcc -std=gnu99 -I.. -I/usr/lib/ocaml -I../ocaml -I../lib   -g -O2 
> -fPIC -Wall -c hivex_c.c
> hivex_c.c:52: error: static declaration of 'caml_raise_with_args' 
> follows non-static declaration
> /usr/lib/ocaml/caml/fail.h:30: note: previous declaration of 
> 'caml_raise_with_args' was here
> make[4]: *** [hivex_c.o] Error 1
>
> hurd-i386, kfreebsd-amd64, kfreebsd-i386:
> make[5]: Entering directory 
> `/build/buildd-hivex_1.2.2+git20100712-2-hurd-i386-QRDg6f/hivex-1.2.2+git20100712/lib' 
>
>  CC     libhivex_la-hivex.lo
> /bin/bash ../libtool --silent --tag=CC   --mode=compile gcc -std=gnu99 
> -DHAVE_CONFIG_H -I. -I..  -I../gnulib/lib    -g -O2 -c -o 
> libhivex_la-hivex.lo `test -f 'hivex.c' || echo './'`hivex.c
> hivex.c: In function 'hivex_root':
> hivex.c:558: error: 'ENOKEY' undeclared (first use in this function)
> hivex.c:558: error: (Each undeclared identifier is reported only once
> hivex.c:558: error: for each function it appears in.)
> make[5]: *** [libhivex_la-hivex.lo] Error 1
>
> powerpc, sparc: make  check-TESTS
> make[3]: Entering directory 
> `/build/buildd-hivex_1.2.2+git20100712-2-powerpc-0hLpXj/hivex-1.2.2+git20100712/ocaml' 
>
> PASS: t/hivex_005_load
> PASS: t/hivex_010_open
> PASS: t/hivex_020_root
> 01 non-existent file
> 02 closed handle
> 03 write to read-only file
> 04 node_get_child node not found
> PASS: t/hivex_100_errors
> PASS: t/hivex_110_gc_handle
> PASS: t/hivex_200_write
> Fatal error: exception Hivex.Error("node_values", 9, "Bad address")
> FAIL: t/hivex_300_fold
> make[3]: *** [check-TESTS] Error 1
> make[2]: *** [check-am] Error 2
> ===================
> 1 of 7 tests failed
> ===================
> make[3]: Leaving directory 
> `/build/buildd-hivex_1.2.2+git20100712-2-powerpc-0hLpXj/hivex-1.2.2+git20100712/ocaml' 
>
> make[2]: Leaving directory 
> `/build/buildd-hivex_1.2.2+git20100712-2-powerpc-0hLpXj/hivex-1.2.2+git20100712/ocaml' 
>
> make[1]: *** [check-recursive] Error 1
>
>
>
> Filed as important since the package has never built on those 
> architectures before but it is strongly preffered by debian that 
> packages are buildable on all release architectures unless there is a 
> very good reason they can't be.
>
>
>





Bug No longer marked as fixed in versions hivex/1.2.6-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 May 2011 23:30:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'hivex FTBFS on buildds.' from 'hivex FTBFS everywhere except i386 and amd64' Request was from peter green <plugwash@p10link.net> to control@bugs.debian.org. (Thu, 12 May 2011 23:30:09 GMT) Full text and rfc822 format available.

Reply sent to peter green <plugwash@p10link.net>:
You have taken responsibility. (Fri, 13 May 2011 09:36:03 GMT) Full text and rfc822 format available.

Notification sent to peter green <plugwash@p10link.net>:
Bug acknowledged by developer. (Fri, 13 May 2011 09:36:04 GMT) Full text and rfc822 format available.

Message #26 received at 589809-done@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 589809-done@bugs.debian.org
Subject: hivex now seems to have been built successfully on all architectures.
Date: Fri, 13 May 2011 10:25:49 +0100
version: 1.2.6-3

hivex now seems to have been built successfully on all architectures.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:28:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:58:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.